let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/da50hs027wgq21cd1bfjhwfm412kgs5i-bash-4.4-p12/bin/bash";
  coreutils = "/nix/store/amqm4642jl8i6rd9xl1mlyf8hqa8pg7z-coreutils-8.29/bin";
  bzip2 = "/nix/store/xfrii1gk11nkgzkrxwd197ib2a1ji5b5-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/p1lm3jj5m0w0jyp6yy79rkhgrxxhc04k-gzip-1.9/bin/gzip";
  xz = "/nix/store/6njk5v5lhq99rz1sq9hiklqnwm1z5prg-xz-5.2.3-bin/bin/xz";
  tar = "/nix/store/a6hjnk1w42r4j95rivwagash02b0k8pa-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/amqm4642jl8i6rd9xl1mlyf8hqa8pg7z-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/zznnaijjk3nwx0cmpczxsvngmqzhl7r4-nix-2.0/bin";
  nixPrefix = "/nix/store/zznnaijjk3nwx0cmpczxsvngmqzhl7r4-nix-2.0";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/zznnaijjk3nwx0cmpczxsvngmqzhl7r4-nix-2.0/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
